Our config/BuildSystem/config/packages/hypre.py does not yet have code to 
communicate GPU information for building hypre. One would need to go through 
the hypre install documentation to determine the hypre configure flags for 
enabling the GPU and add support to hypre.py for passing these flags to hypre 
configure.

   Barry

An example of the type of flag needed can be found in superlu_dist.py 

    help.addArgument('SUPERLU_DIST', '-download-superlu_dist-gpu=<bool>',    
nargs.ArgBool(None, 0, 'Install Superlu_DIST to use GPUs'))



> On Apr 3, 2018, at 7:24 PM, Xiangdong <epsco...@gmail.com> wrote:
> 
> Hello everyone,
> 
> The latest Hypre has GPU capability. Can I use hypre GPU feature through 
> PETSc? If it is possible, what configuration changes should I make in PETSc?
> 
> Thank you.
> 
> Best,
> Xiangdong
> 
> 

Reply via email to